Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class ClassTools

    java.lang.Object
      org.biojava.utils.ClassTools

    public class ClassTools

extends Object

Utility methods for manipulating class objects and resources.

Since:
  1.4
Author:
  Thomas Down

Method Summary
`static ClassLoader` | `getClassLoader(Class clazz)` Get the classloader which loaded `clazz`.
`static ClassLoader` | `getClassLoader(Object obj)` Get the classloader which loaded the class of `obj`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassLoader

    public static ClassLoader getClassLoader(Object obj)

  Get the classloader which loaded the class of `obj`.

### getClassLoader

    public static ClassLoader getClassLoader(Class clazz)

  Get the classloader which loaded `clazz`. This is a "safe" method which handles `null` classloaders and returns the system classloader instead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD